/** @license Digigov v0.1.0
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import _extends from "@babel/runtime/helpers/extends";
import defaultParserInterface from 'astql/utils/defaultParserInterface';
import pkg from 'java-parser/package.json';
var ID = 'java-parser';
export var parserSettingsConfiguration = {
  fields: []
};
export default _extends({}, defaultParserInterface, {
  id: ID,
  displayName: ID,
  version: pkg.version,
  homepage: pkg.homepage || 'https://github.com/jhipster/prettier-java/tree/master/packages/java-parser',
  locationProps: new Set(['location']),
  typeProps: new Set(['name']),
  loadParser: function loadParser(callback) {
    require('astql/utils/multiple-require')(['java-parser'], callback);
  },
  parse: function parse(parser, code) {
    return parser.parse(code);
  },
  _ignoredProperties: new Set(['tokenType']),
  getDefaultOptions: function getDefaultOptions() {
    return {};
  },
  getNodeName: function getNodeName(_ref) {
    var name = _ref.name;
    return name;
  },
  nodeToRange: function nodeToRange(_ref2) {
    var location = _ref2.location;

    if (!location) {
      return;
    }

    return [location.startOffset, location.endOffset + 1];
  }
});